# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDateInternalYearSelector Class Reference

Year selection widget. More...

`#include <kdatetbl.h>`

Inheritance diagram for KDateInternalYearSelector:

[legend]
Collaboration diagram for KDateInternalYearSelector:

[legend]
List of all members.

## Public Slots

void | yearEnteredSlot ()

## Signals

void | closeMe (int)

## Public Member Functions

| KDateInternalYearSelector (QWidget *parent=0, const char *name=0)
int | getYear ()
void | setYear (int year)

## Protected Attributes

QIntValidator * | val
int | result

## Detailed Description

Year selection widget.

Definition at line 140 of file kdatetbl.h.

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:51 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003